Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class ContactSearcher

    java.lang.Object
      com.knowgate.lucene.ContactSearcher

    public class ContactSearcher

extends java.lang.Object

Search into a Lucene full text index for contacts

Constructor Summary
`ContactSearcher()`

Method Summary
`static java.lang.String` | `escape(java.lang.String sInput)` Escape special characters from a Lucene query
`static ContactRecord[]` | `search(java.util.Properties oProps, java.lang.String sWorkArea, java.lang.String[] values, boolean[] obligatorio)` Compose a Lucene query based on given parameters

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactSearcher

    public ContactSearcher()

Method Detail

### search

    public static ContactRecord[] search(java.util.Properties oProps,
                                         java.lang.String sWorkArea,
                                         java.lang.String[] values,
                                         boolean[] obligatorio)
                                  throws ParseException,
                                         java.io.IOException,
                                         java.lang.NullPointerException

  Compose a Lucene query based on given parameters

  Parameters:
    `sLuceneIndexPath` - String Base path for Lucene indexes excluding WorkArea and table name
    `sWorkArea` - String GUID of WorkArea to be searched, cannot be null
    `sProject` - String GUID f project to which bug belongs
    `sReportedBy` - String
    `sWrittenBy` - String
    `sTitle` - String
    `sFromDate` - String
    `sToDate` - String
    `sType` - String
    `sPriority` - String
    `sSeverity` - String
    `sStatus` - String
    `sText` - String
    `sComments` - String
    `iLimit` - int
    `oSortBy` - Comparator
  Returns:
    BugRecord[]
  Throws:
    `ParseException`
    `java.io.IOException`
    `java.lang.NullPointerException`

### escape

    public static java.lang.String escape(java.lang.String sInput)

  Escape special characters from a Lucene query

  Returns:
    The input string with any character of set +-&|!(){}[]^"~*?:\ be preceded by a backslash

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD